Open MPI logo

MTT Devel Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all MTT Users mailing list

From: Ethan Mallove (Ethan.Mallove_at_[hidden])
Date: 2006-07-17 09:45:34


I thought it would be nice to not require users to have LWP::UserAgent installed
 (like we don't require them to have Config::IniFiles - it's part of the MTT
repository), since LWP::UserAgent isn't listed as a standard module
(https://www.linuxnotes.net/perlcd/prog/ch32_01.htm). However, LWP::UserAgent
uses a platform dependent binary called Parser.so which makes the addition of
LWP::UserAgent to the repos slightly more involved. E.g., putting Parser.so in
sparc, i386, etc. directories and getting UserAgent to look for them in the
right place. For now, LWP::UserAgent can be put in a centralized location that
the PERLLIB env var can point to.

-Ethan